Subject: Re: Possible bug with branch names and case sensitivity

From: Joshua Jensen <[email-masked]>
Date: Wed, 23 Nov 2011 15:08:36 -0700

----- Original Message -----
From: Ævar Arnfjörð Bjarmason
Date: 11/23/2011 1:50 PM
>
>
> Note that Git doesn't only have confusing behavior with refs on
> case-insensitive filesystems. The other day HFS+ users @ work had
> issues because of a case collision in the checked out tree, which
> confused git status et al.
Is core.ignorecase set to true?  Is the repository shared with a case 
sensitive file system?

I have a patch sitting around for 'git update-index --add' that fixes 
some case insensitivity issues, especially when using Git Gui.  This 
patch complements the core.ignorecase patches I sent in the past.

-Josh